json
{
"AccountName": "Telegent Account 3",
"AccountAdmin": "jerome@joonto.com",
"BillingAddress": {
"Street1": "Street 1",
"Street2": "Street 2",
"City": "Heber",
"State": "Utah",
"Zip": "",
"Country": "USA"
},
"MailingAddress": {
"Street1": null,
"City": null,
"State": null,
"Zip": null
}
}curl -X POST https://api.telegent.com/v1.0/account/create \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"AccountName": "Telegent Account 3",
"AccountAdmin": "jerome@joonto.com",
"BillingAddress": {
"Street1": "Street 1",
"City": "Heber",
"State": "Utah"
}
}'import requests
url = "https://api.telegent.com/v1.0/account/create"
payload = {
"AccountName": "Telegent Account 3",
"AccountAdmin": "jerome@joonto.com",
"BillingAddress": {
"Street1": "Street 1",
"Street2": "Street 2",
"City": "Heber",
"State": "Utah",
"Zip": "",
"Country": "USA"
},
"MailingAddress": {
"Street1": "<string>",
"Street2": "<string>",
"City": "<string>",
"State": "<string>",
"Zip": "<string>",
"Country": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
AccountName: 'Telegent Account 3',
AccountAdmin: 'jerome@joonto.com',
BillingAddress: {
Street1: 'Street 1',
Street2: 'Street 2',
City: 'Heber',
State: 'Utah',
Zip: '',
Country: 'USA'
},
MailingAddress: {
Street1: '<string>',
Street2: '<string>',
City: '<string>',
State: '<string>',
Zip: '<string>',
Country: '<string>'
}
})
};
fetch('https://api.telegent.com/v1.0/account/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
"AccountName": "Telegent Account 3",
"TotalSubscribers": 0,
"BillingAddress": {
"Street1": "Street 1",
"Street2": "Street 2",
"City": "Heber",
"State": "Utah",
"Zip": "",
"Country": null
},
"MailingAddress": {
"Street1": null,
"Street2": null,
"City": null,
"State": null,
"Zip": null,
"Country": null
}
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Accounts
Create New Account
Create a new account with administrator email, billing, and mailing address information. Returns the newly created account details.
What this does: Returns the new account’s AccountId (AID-) and confirmation of the created details. Store the AID- — it is required when creating subscribers and subscriptions under this account.
Next steps:
- Create a subscriber under this account —
POST /v1.0/subscribers/create - Assign packages —
POST /v1.0/subscriptions
POST
/
v1.0
/
account
/
create
json
{
"AccountName": "Telegent Account 3",
"AccountAdmin": "jerome@joonto.com",
"BillingAddress": {
"Street1": "Street 1",
"Street2": "Street 2",
"City": "Heber",
"State": "Utah",
"Zip": "",
"Country": "USA"
},
"MailingAddress": {
"Street1": null,
"City": null,
"State": null,
"Zip": null
}
}curl -X POST https://api.telegent.com/v1.0/account/create \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"AccountName": "Telegent Account 3",
"AccountAdmin": "jerome@joonto.com",
"BillingAddress": {
"Street1": "Street 1",
"City": "Heber",
"State": "Utah"
}
}'import requests
url = "https://api.telegent.com/v1.0/account/create"
payload = {
"AccountName": "Telegent Account 3",
"AccountAdmin": "jerome@joonto.com",
"BillingAddress": {
"Street1": "Street 1",
"Street2": "Street 2",
"City": "Heber",
"State": "Utah",
"Zip": "",
"Country": "USA"
},
"MailingAddress": {
"Street1": "<string>",
"Street2": "<string>",
"City": "<string>",
"State": "<string>",
"Zip": "<string>",
"Country": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
AccountName: 'Telegent Account 3',
AccountAdmin: 'jerome@joonto.com',
BillingAddress: {
Street1: 'Street 1',
Street2: 'Street 2',
City: 'Heber',
State: 'Utah',
Zip: '',
Country: 'USA'
},
MailingAddress: {
Street1: '<string>',
Street2: '<string>',
City: '<string>',
State: '<string>',
Zip: '<string>',
Country: '<string>'
}
})
};
fetch('https://api.telegent.com/v1.0/account/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
"AccountName": "Telegent Account 3",
"TotalSubscribers": 0,
"BillingAddress": {
"Street1": "Street 1",
"Street2": "Street 2",
"City": "Heber",
"State": "Utah",
"Zip": "",
"Country": null
},
"MailingAddress": {
"Street1": null,
"Street2": null,
"City": null,
"State": null,
"Zip": null,
"Country": null
}
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
Response
Account Created
The response is of type object.
⌘I